<?php

class FirstDataValidationModuleFrontController extends ModuleFrontController {
	public $ssl = true;
	
	public function __construct() {
		parent::__construct();
		$this->display_column_left = false;
		$this->display_column_right = false;
	}

	public function postProcess() {
		$cart = $this->context->cart;		
		if ($cart->id_customer == 0 || $cart->id_address_delivery == 0 || $cart->id_address_invoice == 0 || !$this->module->active)
			Tools::redirect('index.php?controller=order&step=1');
		$customer = new Customer($cart->id_customer);
		if (!Validate::isLoadedObject($customer))
			Tools::redirect('index.php?controller=order&step=1');
		
		$ps16 = strpos(_PS_VERSION_, '1.6') === 0;
		if($ps16) $this->setTemplate('validation16.tpl');
		else $this->setTemplate('module:firstdata/views/templates/front/validation17.tpl');

		$data = $this->module->validation();
		if(!$data)
		    Tools::redirect('index.php?controller=order&step=1');
		$this->context->smarty->assign(array(
		    'data' => $data,
		    'url' => FirstData::$fserv_url,
		    'mod_url' => Tools::getShopDomainSsl(true, true).__PS_BASE_URI__.'modules/'.$this->module->name.'/'
		));
		
	}

}
